%define upstream_name    pmtools
%define upstream_version 2.2.0

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    suite of small programs to help manage perl modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     https://rt.cpan.org/Ticket/Attachment/1734724/932791/t_pfcat_5.26.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl-doc
BuildArch:  noarch

%description
The Devel::Loaded module installs an at-exit handler to generate a dump of
all the module files used by a Perl program. If used in conjunction with a
_perl -c_, you find those files loaded in at compile time with 'use'. If
you are willing to wait until after the program runs, you can get them all.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this test is failing on dumb/no terminals (such as what iurt provides)
rm -f t/pmcat.t
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README TODO
%license LICENSE 
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.2.0-5.mga10
+ Revision: 2205003
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.2.0-4.mga9
+ Revision: 1810929
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1519160
- Mageia 8 Mass Rebuild

* Thu Oct 04 2018 tv <tv> 2.2.0-2.mga7
+ Revision: 1317473
- use %%license

* Thu Oct 04 2018 tv <tv> 2.2.0-1.mga7
+ Revision: 1317467
- new version
- use new macros
- fix testsuite (RT#122210)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-5.mga6
+ Revision: 1036228
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 2.0.0-4.mga6
+ Revision: 938663
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 748508
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 687689
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 jquelin <jquelin> 2.0.0-1.mga5
+ Revision: 617747
- remove faulty test needing real terminal
- vt100 is too smart, trying dumb terminal
- try to force TERM to make tput usable during tests
- adding missing buildrequires:
- update to 2.0.0

* Sat Oct 19 2013 umeabot <umeabot> 1.300.0-2.mga4
+ Revision: 527622
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.300.0-1.mga4
+ Revision: 441543
- update to 1.30

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 377965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 06 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 65435
- imported package pmtools


* Sun Mar 06 2011 cpan2dist 1.10-1mga
- initial mageia release, generated with cpan2dist
